Skip to content

BatchRc⁠

Perform various operations for Symitar parameters.

Operations⁠

getBatchRcSelectFields⁠

POST

Execute the persistent ParameterService getBatchRcSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

BatchRcBatchReturnCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getBatchRcSelectFields
POST /nexum/627/persistent/parameter/getBatchRcSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "BatchRcBatchReturnCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllBatchRcFields": true,
    "BatchRcFields": {
      "BatchReturnCode": true,
      "BatchReturnCodeDefinedType": true,
      "BatchReturnCodeDescription": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getBatchRcPagedListSelectFields⁠

POST

Execute the persistent ParameterService getBatchRcPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getBatchRcPagedListSelectFields
POST /nexum/627/persistent/parameter/getBatchRcPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllBatchRcFields": true,
    "BatchRcFields": {
      "BatchReturnCode": true,
      "BatchReturnCodeDefinedType": true,
      "BatchReturnCodeDescription": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchBatchRcPagedSelectFields⁠

POST

Execute the persistent ParameterService searchBatchRcPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchBatchRcPagedSelectFields
POST /nexum/627/persistent/parameter/searchBatchRcPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllBatchRcFields": true,
    "BatchRcFields": {
      "BatchReturnCode": true,
      "BatchReturnCodeDefinedType": true,
      "BatchReturnCodeDescription": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateBatchRcByID⁠

POST

Execute the persistent ParameterService updateBatchRcByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

BatchRcBatchReturnCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateBatchRcByID
POST /nexum/627/persistent/parameter/updateBatchRcByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "BatchRcBatchReturnCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "BatchRcFields": {
    "BatchReturnCode": 0,
    "BatchReturnCodeDefinedType": 0,
    "BatchReturnCodeDescription": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}